# Uses of Class
net.shibboleth.idp.attribute.resolver.ResolverAttributeDefinitionDependency

Packages that use ResolverAttributeDefinitionDependency
Package
Description
net.shibboleth.idp.attribute.resolver
A system which is capable of retrieving a collection of `IdPAttribute`s from a variety of locations, transform them, and associate a set of protocol-specific encoders to them.
net.shibboleth.idp.attribute.resolver.ad.impl
Implementations of various `AttributeDefinition`s.
net.shibboleth.idp.attribute.resolver.spring.impl
Implementation of top level attribute resolvers.
net.shibboleth.idp.attribute.resolver.testing
Testing utility classes.

## Uses of ResolverAttributeDefinitionDependency in net.shibboleth.idp.attribute.resolver

Fields in net.shibboleth.idp.attribute.resolver with type parameters of type ResolverAttributeDefinitionDependency
Modifier and Type
Field
Description
`private Set<ResolverAttributeDefinitionDependency>`
AbstractResolverPlugin.`attributeDependencies`
The `ResolverAttributeDefinitionDependency`s this plug-in depends on.
Methods in net.shibboleth.idp.attribute.resolver that return types with arguments of type ResolverAttributeDefinitionDependency
Modifier and Type
Method
Description
`Set<ResolverAttributeDefinitionDependency>`
AbstractResolverPlugin.`getAttributeDependencies()`
Gets the unmodifiable list of attributeDependencies for this plugin.
`Set<ResolverAttributeDefinitionDependency>`
ResolvedAttributeDefinition.`getAttributeDependencies()`
Gets the unmodifiable list of attributeDependencies for this plugin.
`Set<ResolverAttributeDefinitionDependency>`
ResolvedDataConnector.`getAttributeDependencies()`
Gets the unmodifiable list of attributeDependencies for this plugin.
`Set<ResolverAttributeDefinitionDependency>`
ResolverPlugin.`getAttributeDependencies()`
Get the unmodifiable list of attribute dependencies for this plugin.
Method parameters in net.shibboleth.idp.attribute.resolver with type arguments of type ResolverAttributeDefinitionDependency
Modifier and Type
Method
Description
`static Map<String,List<IdPAttributeValue>>`
PluginDependencySupport.`getAllAttributeValues(AttributeResolverWorkContext workContext, Collection<ResolverAttributeDefinitionDependency> attributeDependencies, Collection<ResolverDataConnectorDependency> dataConnectorDependencies)`
Gets the values from all dependencies.
`static List<IdPAttributeValue>`
PluginDependencySupport.`getMergedAttributeValues(AttributeResolverWorkContext workContext, Collection<ResolverAttributeDefinitionDependency> attributeDependencies, Collection<ResolverDataConnectorDependency> dataConnectorDependencies, String attributeDefinitionId)`
Gets the values, as a single list, from all dependencies.
`void`
AbstractResolverPlugin.`setAttributeDependencies(Set<ResolverAttributeDefinitionDependency> dependencies)`
Sets the list of dependencies for this plugin.

## Uses of ResolverAttributeDefinitionDependency in net.shibboleth.idp.attribute.resolver.ad.impl

Fields in net.shibboleth.idp.attribute.resolver.ad.impl with type parameters of type ResolverAttributeDefinitionDependency
Modifier and Type
Field
Description
`private Collection<ResolverAttributeDefinitionDependency>`
ScopedAttributeDefinition.`nonScopeAttributeDependencies`
The attribute dependencies mine the scopeSource attribute (if there is one).
Methods in net.shibboleth.idp.attribute.resolver.ad.impl that return types with arguments of type ResolverAttributeDefinitionDependency
Modifier and Type
Method
Description
`private Collection<ResolverAttributeDefinitionDependency>`
ScopedAttributeDefinition.`ensureNonScopeAttributeDependencies()`
Null safe getter for `ScopedAttributeDefinition.nonScopeAttributeDependencies`.

## Uses of ResolverAttributeDefinitionDependency in net.shibboleth.idp.attribute.resolver.spring.impl

Fields in net.shibboleth.idp.attribute.resolver.spring.impl with type parameters of type ResolverAttributeDefinitionDependency
Modifier and Type
Field
Description
`private Set<ResolverAttributeDefinitionDependency>`
AbstractResolverPluginFactoryBean.`attributeDependencies`
Plugin property "attributeDependencies".
Methods in net.shibboleth.idp.attribute.resolver.spring.impl that return types with arguments of type ResolverAttributeDefinitionDependency
Modifier and Type
Method
Description
`Set<ResolverAttributeDefinitionDependency>`
AbstractResolverPluginFactoryBean.`getAttributeDependencies()`
Bean getter in support of `AbstractResolverPlugin.setAttributeDependencies(Set)`.
`protected Class<ResolverAttributeDefinitionDependency>`
InputAttributeDefinitionParser.`getBeanClass(Element element)`
Method parameters in net.shibboleth.idp.attribute.resolver.spring.impl with type arguments of type ResolverAttributeDefinitionDependency
Modifier and Type
Method
Description
`void`
AbstractResolverPluginFactoryBean.`setAttributeDependencies(Set<ResolverAttributeDefinitionDependency> dependencies)`
Bean setter in support of `AbstractResolverPlugin.setAttributeDependencies(Set)`.

## Uses of ResolverAttributeDefinitionDependency in net.shibboleth.idp.attribute.resolver.testing

Methods in net.shibboleth.idp.attribute.resolver.testing that return ResolverAttributeDefinitionDependency
Modifier and Type
Method
Description
`static ResolverAttributeDefinitionDependency`
TestSources.`makeAttributeDefinitionDependency(String attributeId)`
Summon up appropriate `ResolverAttributeDefinitionDependency`.
Constructor parameters in net.shibboleth.idp.attribute.resolver.testing with type arguments of type ResolverAttributeDefinitionDependency
Modifier
Constructor
Description
``
`MockDataConnector(String id, Map<String,IdPAttribute> connectorValues, Set<ResolverAttributeDefinitionDependency> attrDepends, Set<ResolverDataConnectorDependency> dcDepends)`
Constructor.